TSingleReferencedObject< T >::Destructor Struct Referenceabstract

`#include <mia/core/singular_refobj.hh>`

Inheritance diagram for TSingleReferencedObject< T >::Destructor:
[legend]

## Public Member Functions

| Destructor ()
virtual void | operator() (T &data) const =0

## Detailed Description

template<typename T>
struct TSingleReferencedObject< T >::Destructor

Definition at line 50 of file singular_refobj.hh.

## Constructor & Destructor Documentation

## Destructor()

template<typename T>

TSingleReferencedObject< T >::Destructor::Destructor | ( |  | ) |

inline

Definition at line 51 of file singular_refobj.hh.

## Member Function Documentation

## operator()()

template<typename T>

virtual void TSingleReferencedObject< T >::Destructor::operator() | ( | T & | data | ) | const

pure virtual

Implemented in TSingleReferencedObject< T >::EmptyDestructor.

The documentation for this struct was generated from the following file:

- singular_refobj.hh